Skip to main content
PUT
Update Taxonomies

Authorizations

x-api-key
string
header
required

API key for authentication. Create one from the Kodexa platform UI under Settings > Access Tokens.

Path Parameters

id
string<uuid>
required

Unique identifier (UUID) of the resource.

Body

application/json

Taxonomy metadata defines document structure and extraction rules (data definitions).

changeSequence
integer<int32>

Optimistic locking version number.

deprecated
boolean

Whether this taxonomy is deprecated.

extensionPackRef
string
metadata
object
name
string

Display name of the taxonomy.

Example:

"Invoice Taxonomy"

orgSlug
string
organization
object | null
publicAccess
boolean

Whether the taxonomy is publicly accessible.

ref
string
slug
string

URL-friendly identifier for the taxonomy.

Example:

"invoice-taxonomy"

template
boolean

Whether this taxonomy is a template.

type
string
uri
string

Computed resource URI (scheme://orgSlug/slug), present on serialized responses.

yamlSource
string | null

Response

Updated Taxonomies

Taxonomy metadata defines document structure and extraction rules (data definitions).

changeSequence
integer<int32>
required

Optimistic locking version number.

createdOn
string<date-time>
required

Timestamp when the taxonomy was created.

deleted
boolean
required
deprecated
boolean
required

Whether this taxonomy is deprecated.

id
string
required

Unique identifier (UUID) for the taxonomy.

Example:

"d3456789-01ab-cdef-2345-678901abcdef"

metadata
object
required
name
string
required

Display name of the taxonomy.

Example:

"Invoice Taxonomy"

organizationId
string
required
publicAccess
boolean
required

Whether the taxonomy is publicly accessible.

slug
string
required

URL-friendly identifier for the taxonomy.

Example:

"invoice-taxonomy"

template
boolean
required

Whether this taxonomy is a template.

updatedOn
string<date-time>
required

Timestamp when the taxonomy was last updated.

uuid
string
required

Secondary UUID identifier.

deleteUserEmail
string | null
deleteUserId
string | null
deletedDate
string<date-time> | null
extensionPackRef
string
orgSlug
string
organization
object | null
ref
string
type
string
uri
string

Computed resource URI (scheme://orgSlug/slug), present on serialized responses.

yamlSource
string | null